* [gentoo-commits] repo/gentoo:master commit in: sys-block/scsiadd/
@ 2019-03-09 21:02 Patrice Clement
0 siblings, 0 replies; 5+ messages in thread
From: Patrice Clement @ 2019-03-09 21:02 UTC (permalink / raw
To: gentoo-commits
commit: 93c236ce0b0061f119388dd217faf75158e8a948
Author: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Thu Mar 7 17:43:33 2019 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Mar 9 21:01:55 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93c236ce
sys-block/scsiadd: EAPI7 bump, minor improvements.
Closes: https://bugs.gentoo.org/679696
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail.com>
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
sys-block/scsiadd/scsiadd-1.97-r1.ebuild | 60 ++++++++++++++++++++++++++++++++
1 file changed, 60 insertions(+)
diff --git a/sys-block/scsiadd/scsiadd-1.97-r1.ebuild b/sys-block/scsiadd/scsiadd-1.97-r1.ebuild
new file mode 100644
index 00000000000..718a26b6f7a
--- /dev/null
+++ b/sys-block/scsiadd/scsiadd-1.97-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit user toolchain-funcs flag-o-matic
+
+DESCRIPTION="Add and remove SCSI devices from your Linux system during runtime"
+HOMEPAGE="https://llg.cubic.org/tools/"
+SRC_URI="https://llg.cubic.org/tools/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="suid"
+
+pkg_setup() {
+ use suid && enewgroup scsi
+}
+
+src_prepare() {
+ default
+ # remove 'strip' command
+ sed -i -e "s:^\(.*strip.*\):#\1:g" Makefile.in || die
+
+ # convert docs to utf-8
+ if [ -x "$(type -p iconv)" ]; then
+ for X in NEWS README; do
+ iconv -f LATIN1 -t UTF8 -o "${X}~" "${X}" && mv -f "${X}~" "${X}" \
+ || rm -f "${X}~" || die
+ done
+ fi
+}
+
+src_compile() {
+ # extra safety for suid
+ append-ldflags -Wl,-z,now
+
+ emake CC="$(tc-getCC)"
+}
+
+src_install() {
+ dosbin scsiadd
+ if use suid; then
+ fowners root:scsi /usr/sbin/scsiadd
+ fperms 4710 /usr/sbin/scsiadd
+ fi
+ dodoc NEWS README TODO
+ doman scsiadd.8
+}
+
+pkg_postinst() {
+ if use suid; then
+ ewarn
+ ewarn "You have chosen to install ${PN} with the binary setuid root. This"
+ ewarn "means that if there any undetected vulnerabilities in the binary,"
+ ewarn "then local users may be able to gain root access on your machine."
+ ewarn
+ fi
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-block/scsiadd/
@ 2019-03-09 21:02 Patrice Clement
0 siblings, 0 replies; 5+ messages in thread
From: Patrice Clement @ 2019-03-09 21:02 UTC (permalink / raw
To: gentoo-commits
commit: 9eab48288641f8d4fce6edc16bc9bec1929dd203
Author: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Thu Mar 7 17:38:27 2019 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Mar 9 21:01:55 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9eab4828
sys-block/scsiadd: use HTTPS.
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/11294
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
sys-block/scsiadd/scsiadd-1.97.ebuild | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/sys-block/scsiadd/scsiadd-1.97.ebuild b/sys-block/scsiadd/scsiadd-1.97.ebuild
index 9c868888234..0ba63844322 100644
--- a/sys-block/scsiadd/scsiadd-1.97.ebuild
+++ b/sys-block/scsiadd/scsiadd-1.97.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
@@ -6,8 +6,8 @@ EAPI="2"
inherit user toolchain-funcs flag-o-matic
DESCRIPTION="Add and remove SCSI devices from your Linux system during runtime"
-HOMEPAGE="http://llg.cubic.org/tools/"
-SRC_URI="http://llg.cubic.org/tools/${P}.tar.gz"
+HOMEPAGE="https://llg.cubic.org/tools/"
+SRC_URI="https://llg.cubic.org/tools/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-block/scsiadd/
@ 2019-04-23 8:51 David Seifert
0 siblings, 0 replies; 5+ messages in thread
From: David Seifert @ 2019-04-23 8:51 UTC (permalink / raw
To: gentoo-commits
commit: 8b48d1017d08f93b99b60c8872edd618435af7ba
Author: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Mon Apr 22 11:31:50 2019 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Apr 23 08:51:08 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b48d101
sys-block/scsiadd: drop old (EAPI2)
Signed-off-by: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail.com>
Signed-off-by: David Seifert <soap <AT> gentoo.org>
sys-block/scsiadd/scsiadd-1.97.ebuild | 59 -----------------------------------
1 file changed, 59 deletions(-)
diff --git a/sys-block/scsiadd/scsiadd-1.97.ebuild b/sys-block/scsiadd/scsiadd-1.97.ebuild
deleted file mode 100644
index 0ba63844322..00000000000
--- a/sys-block/scsiadd/scsiadd-1.97.ebuild
+++ /dev/null
@@ -1,59 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="2"
-
-inherit user toolchain-funcs flag-o-matic
-
-DESCRIPTION="Add and remove SCSI devices from your Linux system during runtime"
-HOMEPAGE="https://llg.cubic.org/tools/"
-SRC_URI="https://llg.cubic.org/tools/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="suid"
-DEPEND=""
-
-pkg_setup() {
- use suid && enewgroup scsi
-}
-
-src_prepare() {
- # remove 'strip' command
- sed -i -e "s:^\(.*strip.*\):#\1:g" Makefile.in
-
- # convert docs to utf-8
- if [ -x "$(type -p iconv)" ]; then
- for X in NEWS README; do
- iconv -f LATIN1 -t UTF8 -o "${X}~" "${X}" && mv -f "${X}~" "${X}" || rm -f "${X}~"
- done
- fi
-}
-
-src_compile() {
- # extra safety for suid
- append-ldflags -Wl,-z,now
-
- emake CC="$(tc-getCC)" || die "emake failed"
-}
-
-src_install() {
- dosbin scsiadd || die "install failed"
- if use suid; then
- fowners root:scsi /usr/sbin/scsiadd
- fperms 4710 /usr/sbin/scsiadd
- fi
- dodoc NEWS README TODO
- doman scsiadd.8
-}
-
-pkg_postinst() {
- if use suid; then
- ewarn
- ewarn "You have chosen to install ${PN} with the binary setuid root. This"
- ewarn "means that if there any undetected vulnerabilities in the binary,"
- ewarn "then local users may be able to gain root access on your machine."
- ewarn
- fi
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-block/scsiadd/
@ 2021-04-10 20:58 Conrad Kostecki
0 siblings, 0 replies; 5+ messages in thread
From: Conrad Kostecki @ 2021-04-10 20:58 UTC (permalink / raw
To: gentoo-commits
commit: 5745c0d85cbcf07d6889ee101f4c6d68a48c9d2c
Author: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 10 20:56:40 2021 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Apr 10 20:57:10 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5745c0d8
sys-block/scsiadd: drop old version
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
sys-block/scsiadd/scsiadd-1.97-r1.ebuild | 60 --------------------------------
1 file changed, 60 deletions(-)
diff --git a/sys-block/scsiadd/scsiadd-1.97-r1.ebuild b/sys-block/scsiadd/scsiadd-1.97-r1.ebuild
deleted file mode 100644
index 718a26b6f7a..00000000000
--- a/sys-block/scsiadd/scsiadd-1.97-r1.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit user toolchain-funcs flag-o-matic
-
-DESCRIPTION="Add and remove SCSI devices from your Linux system during runtime"
-HOMEPAGE="https://llg.cubic.org/tools/"
-SRC_URI="https://llg.cubic.org/tools/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="suid"
-
-pkg_setup() {
- use suid && enewgroup scsi
-}
-
-src_prepare() {
- default
- # remove 'strip' command
- sed -i -e "s:^\(.*strip.*\):#\1:g" Makefile.in || die
-
- # convert docs to utf-8
- if [ -x "$(type -p iconv)" ]; then
- for X in NEWS README; do
- iconv -f LATIN1 -t UTF8 -o "${X}~" "${X}" && mv -f "${X}~" "${X}" \
- || rm -f "${X}~" || die
- done
- fi
-}
-
-src_compile() {
- # extra safety for suid
- append-ldflags -Wl,-z,now
-
- emake CC="$(tc-getCC)"
-}
-
-src_install() {
- dosbin scsiadd
- if use suid; then
- fowners root:scsi /usr/sbin/scsiadd
- fperms 4710 /usr/sbin/scsiadd
- fi
- dodoc NEWS README TODO
- doman scsiadd.8
-}
-
-pkg_postinst() {
- if use suid; then
- ewarn
- ewarn "You have chosen to install ${PN} with the binary setuid root. This"
- ewarn "means that if there any undetected vulnerabilities in the binary,"
- ewarn "then local users may be able to gain root access on your machine."
- ewarn
- fi
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sys-block/scsiadd/
@ 2021-04-10 20:58 Conrad Kostecki
0 siblings, 0 replies; 5+ messages in thread
From: Conrad Kostecki @ 2021-04-10 20:58 UTC (permalink / raw
To: gentoo-commits
commit: 59f54110b3883bd824216fe51ae73bd1b02afd4f
Author: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 10 20:56:13 2021 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Apr 10 20:57:09 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59f54110
sys-block/scsiadd: migrate to GLEP 81
Closes: https://bugs.gentoo.org/781587
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
sys-block/scsiadd/scsiadd-1.97-r2.ebuild | 65 ++++++++++++++++++++++++++++++++
1 file changed, 65 insertions(+)
diff --git a/sys-block/scsiadd/scsiadd-1.97-r2.ebuild b/sys-block/scsiadd/scsiadd-1.97-r2.ebuild
new file mode 100644
index 00000000000..112fdbce9ac
--- /dev/null
+++ b/sys-block/scsiadd/scsiadd-1.97-r2.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Add and remove SCSI devices from your Linux system during runtime"
+HOMEPAGE="https://llg.cubic.org/tools/"
+SRC_URI="https://llg.cubic.org/tools/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="suid"
+
+RDEPEND="suid? ( acct-group/scsi )"
+BDEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+
+ # Remove 'strip' command, as portage handles this
+ sed -e "s:^\(.*strip.*\):#\1:g" -i Makefile.in || die
+
+ # Convert docs to UTF-8
+ if [ -x "$(type -p iconv)" ]; then
+ for X in NEWS README; do
+ iconv -f LATIN1 -t UTF8 -o "${X}~" "${X}" \
+ && mv -f "${X}~" "${X}" \
+ || rm -f "${X}~" || die
+ done
+ fi
+}
+
+src_compile() {
+ # Extra safety for suid
+ append-ldflags -Wl,-z,now
+
+ # Use system compiler
+ tc-export CC
+
+ default
+}
+
+src_install() {
+ dosbin scsiadd
+
+ if use suid; then
+ fowners root:scsi /usr/sbin/scsiadd
+ fperms 4710 /usr/sbin/scsiadd
+ fi
+
+ doman scsiadd.8
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ if use suid; then
+ ewarn "You have chosen to install ${PN} with the binary setuid root. This"
+ ewarn "means that if there any undetected vulnerabilities in the binary,"
+ ewarn "then local users may be able to gain root access on your machine."
+ fi
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2021-04-10 20:58 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-04-10 20:58 [gentoo-commits] repo/gentoo:master commit in: sys-block/scsiadd/ Conrad Kostecki
-- strict thread matches above, loose matches on Subject: below --
2021-04-10 20:58 Conrad Kostecki
2019-04-23 8:51 David Seifert
2019-03-09 21:02 Patrice Clement
2019-03-09 21:02 Patrice Clement
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox